Subject: Re: [devuan-dev] bug#921: bug#921: sane-utils: init script prompts for file removal when status is queried by nonroot user

From: Alexander Rehbein <[email-masked]>
Date: Mon, 3 Nov 2025 23:55:20 +0100

Hi Mark,

yes I could look into it (not that experienced with all the workflows/I'll
have to look things up first).

I don't completely understand though... it seemed to me like Debian wasn't
supporting SysVInit anymore, so are they even thinking about putting any
work into fixing init scripts? It doesn't look like they care really, at
least for saned I have also noticed that statuses aren't reported correctly
when running `service --status-all` without any root privilege. And I think
some other things also weren't working correctly, like some scripts
wouldn't work but return 0 without root or something among those lines.

Thank you

Alexander

On Sun, Nov 2, 2025 at 9:03 AM Mark Hindley <[email-masked]> wrote:

> Control: tags -1 debian
>
> Alexander and Andrew,
>
> Many thanks for this.
>
> On Sun, Nov 02, 2025 at 12:12:17AM +0000, Andrew Bower wrote:
> > The root cause of this issue seems to be that saned does not remove
> > its pidfile. It would be nice to get that fixed upstream.
> >
> > But we can also improve the issue in the initscript like so:
>
> Yes, that seems a good suggestion.
>
> However, src:sane-backends is not forked in Devuan and we use Debian's
> packages
> directly without recompilation. This issue will be evident on a Debian
> non-systemd install.
>
> Can you report with your suggested patch(es) to Debian's BTS, please?
>
> Thanks
>
> Mark
>